gsl::matrix_iterator Class Reference

`#include <mia/core/gsl_matrix.hh>`

## Public Member Functions

| matrix_iterator ()
| matrix_iterator (const matrix_iterator &other)=default
| matrix_iterator (gsl_matrix *m, bool begin)
double & | operator* ()
matrix_iterator & | operator++ ()
matrix_iterator | operator++ (int)

## Friends

class | const_matrix_iterator
bool | operator!= (const matrix_iterator &lhs, const matrix_iterator &rhs)
bool | operator== (const matrix_iterator &lhs, const matrix_iterator &rhs)

## Detailed Description

Definition at line 32 of file gsl_matrix.hh.

## Constructor & Destructor Documentation

## matrix_iterator() [1/3]

gsl::matrix_iterator::matrix_iterator | ( | gsl_matrix * | m,
|  | bool | begin )

inline

Definition at line 36 of file gsl_matrix.hh.

Referenced by matrix_iterator(), operator!=, operator++(), operator++(), and operator==.

## matrix_iterator() [2/3]

gsl::matrix_iterator::matrix_iterator | ( |  | ) |

inline

Definition at line 44 of file gsl_matrix.hh.

## matrix_iterator() [3/3]

gsl::matrix_iterator::matrix_iterator | ( | const matrix_iterator & | other | ) |

default

References matrix_iterator().

## Member Function Documentation

## operator*()

double & gsl::matrix_iterator::operator* | ( |  | ) |

inline

Definition at line 54 of file gsl_matrix.hh.

## operator++() [1/2]

matrix_iterator & gsl::matrix_iterator::operator++ | ( |  | ) |

inline

Definition at line 60 of file gsl_matrix.hh.

References matrix_iterator().

## operator++() [2/2]

matrix_iterator gsl::matrix_iterator::operator++ | ( | int |  | ) |

inline

Definition at line 75 of file gsl_matrix.hh.

References matrix_iterator().

## Friends And Related Symbol Documentation

## const_matrix_iterator

friend class const_matrix_iterator

friend

Definition at line 34 of file gsl_matrix.hh.

References const_matrix_iterator.

Referenced by const_matrix_iterator.

## operator!=

bool operator!= | ( | const matrix_iterator & | lhs,
|  | const matrix_iterator & | rhs )

friend

References matrix_iterator().

## operator==

bool operator== | ( | const matrix_iterator & | lhs,
|  | const matrix_iterator & | rhs )

friend

References matrix_iterator().

The documentation for this class was generated from the following file:

- gsl_matrix.hh